Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Feb 2020 11:49:25 +0200

> From: Mike FABIAN <[email-masked]>
> Cc: Robert Pluim <[email-masked]>,  [email-masked]
> Date: Sat, 29 Feb 2020 09:01:37 +0100
> 
> > Emacs can only compose characters if the font supports all of the
> > codepoints that are being composed.  So you need to choose a font that
> > supports these compositions.
> 
> I think there are no fonts supporting both the emoji representations and
> text representations of emoji which have both.

Sorry, I don't understand: what does "which have both" refer to?

Emacs doesn't create the text and emoji presentations, it just hands
the sequences to the font backend and asks the backend to provide the
font glyphs to display that sequence.  The rest is between the font
backend and the font.  And of course all this depends on
composition-function-table being set up to support these sequences.